Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.routing.cbr
Interface ContentBasedRouter

    public interface ContentBasedRouter

Content Based Router Interface. Separates implementation from the runtime, allowing the ESB to support different ways of doing CBR.

Author:
  kurt.stam@redhat.com

Method Summary
`java.util.List<java.lang.String>` | `route(java.lang.String ruleSet, boolean ruleReload, Message message, java.util.List<java.lang.Object> objectList)` Route a message using a certain ruleSet.
`java.util.List<java.lang.String>` | `route(java.lang.String ruleSet, java.lang.String ruleLanguage, boolean ruleReload, Message message, java.util.List<java.lang.Object> objectList)` Route a message using a certain ruleSet and reference a custom Domain Specific Language (DSL).
`void` | `setConfigTree(ConfigTree configTree)`

Method Detail

### setConfigTree

    void setConfigTree(ConfigTree configTree)

### route

    java.util.List<java.lang.String> route(java.lang.String ruleSet,
                                           java.lang.String ruleLanguage,
                                           boolean ruleReload,
                                           Message message,
                                           java.util.List<java.lang.Object> objectList)
                                           throws MessageRouterException

  Route a message using a certain ruleSet and reference a custom Domain Specific Language (DSL).

  Parameters:
    `ruleSet` - - String reference to a file which contains a ruleSet.
    `ruleLanguage` - - String reference to a file which contais a custom rule language definition
    `ruleReload` - - if set to true, a ruleSet update should result in reloading the ruleSet.
    `message` - - Message that needs routing.
    `objectList` - - a list with additional objects (typically pulled from the message)
  Returns:
    List of routing destinations.
  Throws:
    `MessageRouterException`

### route

    java.util.List<java.lang.String> route(java.lang.String ruleSet,
                                           boolean ruleReload,
                                           Message message,
                                           java.util.List<java.lang.Object> objectList)
                                           throws MessageRouterException

  Route a message using a certain ruleSet.

  Parameters:
    `ruleSet` - - String reference to a file which contains a ruleSet.
    `ruleReload` - - if set to true, a ruleSet update should result in reloading the ruleSet.
    `message` - - Message that needs routing.
    `objectList` - - a list with additional objects (typically pulled from the message)
  Returns:
    List of routing destinations.
  Throws:
    `MessageRouterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD